#language: ru

@labeling

Функционал: 013. Labeling. ТСД Маркировка

Сценарий: 013.1. Labeling. ТСД Маркировка. Приемка

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2РаспределениеМатериалов" без контроля ссылок
	Дано я удаляю объекты "Документы.к2Переработка" без контроля ссылок
	Дано я удаляю объекты "Документы.к2УпаковочныйЛист" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ШтрихкодыУпаковокТоваров" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '300,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '300,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '300,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '300,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной3"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'	
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка №1'  |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка на маркировку'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка на маркировку'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	Тогда в таблице "СтрокиЗадания" я перехожу к строке по шаблону:
		| 'Заказ/Номенклатура'           | 'План'    |
		| 'Сыр Сулугуни / Ашан / 1 до *' | '200,000' |
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку с именем 'СканированиеЗавершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 013.2. Labeling. Проверка документа Распределение материалов (Приемка)

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' | 'Смена'   |
		| 'Маркировка №1' | 'Смена24' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов * от *'
	И элемент формы "Смена" стал равен "Смена24"
	И элемент формы "Рабочий центр" стал равен "Маркировка №1"
	И элемент формы "Склад" стал равен "Склад немаркированной продукции"
	И элемент формы "Ячейка" стал равен "Ячейка отгрузки"
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура продукции' | 'Серия'                        | 'Спецификация продукции' | 'Характеристика продукции' | 'Этап продукции' |
		| 'Сыр Сулугуни'           | '000001 до 20.10.2019 0:00:00' | 'Сыр Сулугуни(Ашан)'     | 'Ашан'                     | 'Маркировка'     |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатура" имеет значение "Сыр Сулугуни"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловХарактеристика" имеет значение "<Без маркировки>"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловСерия" имеет значение "000001 до 20.10.2019 0:00:00"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "300,000"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатураЕдиницаИзмерения" имеет значение "кг"
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Приемка'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов * от *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И Я закрываю окно 'Распределения материалов'

Сценарий: 013.3. Labeling. ТСД Маркировка. Возврат излишков

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '100,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '100,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной1"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '300,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '300,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной3"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Маркировка №1' |
	И я нажимаю на кнопку с именем 'Выбрать' 
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Возврат излишков маркировка'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Возврат излишков маркировка'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	Тогда в таблице "СтрокиЗадания" я перехожу к строке по шаблону:
		| 'Дост. сырье' | 'Заказ/Номенклатура'           | 'План'    |
		| '300,000'     | 'Сыр Сулугуни / Ашан / 1 до *' | '200,000' |
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку с именем 'СканированиеЗавершить'
	И я нажимаю на кнопку 'КомандаНет'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной1"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'СканированиеЗавершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Выпуск маркировка'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 013.4. Labeling. Проверка документа Распределение материалов (Возврат излишков)
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' | 'Смена'   |'Комментарий' |
		| 'Маркировка №1' | 'Смена24' |''            |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распределение материалов * от *'
	И элемент формы "Смена" стал равен "Смена24"
	И элемент формы "Рабочий центр" стал равен "Маркировка №1"
	И элемент формы "Склад" стал равен "Склад немаркированной продукции"
	И элемент формы "Ячейка" стал равен "Ячейка отгрузки"
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура продукции' | 'Серия'                        | 'Спецификация продукции' | 'Характеристика продукции' | 'Этап продукции' |
		| 'Сыр Сулугуни'           | '000001 до 20.10.2019 0:00:00' | 'Сыр Сулугуни(Ашан)'     | 'Ашан'                     | 'Маркировка'     |
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатура" имеет значение "Сыр Сулугуни"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловХарактеристика" имеет значение "<Без маркировки>"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловСерия" имеет значение "000001 до 20.10.2019 0:00:00"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "-100,000"
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловНоменклатураЕдиницаИзмерения" имеет значение "кг"
	И Я закрываю окно 'Распределение материалов * от *'
	Тогда открылось окно 'Распределения материалов'
	И Я закрываю окно 'Распределения материалов'

Сценарий: 013.5. Labeling. ТСД Маркировка. Выпуск

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
		И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '200,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '40,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной2"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '300,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '300,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной3"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '300,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '300,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной4"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка №1'  |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Выпуск маркировка'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Выпуск маркировка'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	Тогда в таблице "СтрокиЗадания" я перехожу к строке по шаблону:
		| 'Дост. сырье' | 'Заказ/Номенклатура'           | 'План'    |
		| '200,000'     | 'Сыр Сулугуни / Ашан / 1 до *' | '200,000' |
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной3"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной4"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку с именем 'СканированиеЗавершить'
	И я нажимаю на кнопку 'КомандаНет'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной2"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'СканированиеЗавершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку с именем 'ЗаданияЗавершитьСтроку'
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 013.6. Labeling. Проверка документа Переработка

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' |
		| 'Маркировка №1' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	И элемент формы "Организация" стал равен "Организация"
	И элемент формы "Смена" стал равен "Смена24"
	И элемент формы "Рабочий центр" стал равен "Маркировка №1"
	И элемент формы с именем "СкладВыпуск" стал равен "Склад готовой продукции"
	И я перехожу к закладке "Выпуск"
	Тогда таблица "Выпуск" стала равной по шаблону:
		| 'Спецификация'       | 'Количество' | 'Номенклатура' | 'Характеристика' | 'Серия'  | 'Ед. изм.' |
		| 'Сыр Сулугуни(Ашан)' | '200,000'    | 'Сыр Сулугуни' | 'Ашан'           | '1 до *' | 'кг'       |
	И Я закрываю окно 'Переработка * от *'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 013.7. Labeling. Завершение

	И Я закрыл все окна клиентского приложения